package com.unis.model.bean.process;

/**
 * 创建人: mQ
 * 时间: 2020/12/16 11:39
 */
public class ProcessStepBean {
    /**
     * {
     * "id":1,
     * "type":"tf",
     * "title":"通风方案申请审批",
     * "step":"1",
     * "existProcess":0
     * }
     */
    // 节点id
    public String id;
    // 业务类型
    public String type;
    // 节点名称
    public String title;
    // 序号
    public String step;
    // 节点是否有审批: 0=审批  1=无审批
    public String existProcess;
    // 下一个节点id
    public String nextId;

    public ProcessStepBean() {
    }

    public ProcessStepBean(String id, String type, String title, String step, String existProcess, String nextId) {
        this.id = id;
        this.type = type;
        this.title = title;
        this.step = step;
        this.existProcess = existProcess;
        this.nextId = nextId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getStep() {
        return step;
    }

    public void setStep(String step) {
        this.step = step;
    }

    public String getExistProcess() {
        return existProcess;
    }

    public void setExistProcess(String existProcess) {
        this.existProcess = existProcess;
    }

    public String getNextId() {
        return nextId;
    }

    public void setNextId(String nextId) {
        this.nextId = nextId;
    }
}
